# Diagnostics

A little diagnostic helper that output some information that may help in support. It should quickly give correct information about the phing system.

package | phing

### Methods

## utility class

    __construct()

## Print a report to the given stream.

    doReport(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the report to.

## Report the content of the global composer library directory

    doReportComposerSystemLibraries(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the content to

## Report the content of PHING_HOME/vendor directory

    doReportPhingVendorLibraries(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the content to

## Report a listing of project properties.

    doReportProjectProperties(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the properties to.

## Report a listing of system properties existing in the current phing.

    doReportSystemProperties(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the properties to.

## Create a report about all available task in phing.

    doReportTasksAvailability(\PrintStream $out)

static

### Arguments

#### $out

`\PrintStream`

the stream to print the tasks report to `null` for a missing stream (ie mapping).

## try and create a temp file in our temp dir; this checks that it has space and access.

    doReportTempDir(\PrintStream $out)

static

We also do some clock reporting.

### Arguments

#### $out

`\PrintStream`

## header

    header(\PrintStream $out,  $section)

static

### Arguments

#### $out

`\PrintStream`

#### $section

``

## return the list of files existing in PHING_HOME/vendor

    listLibraries(string $type) : array

static

### Arguments

#### $type

`string`

### Response

`array`

the list of jar files existing in ant.home/lib or `null` if an error occurs.

## list the libraries

    printLibraries(array $libs, \PrintStream $out)

static

### Arguments

#### $libs

`array`

array of libraries (can be null)

#### $out

`\PrintStream`

output stream